Skip to main content
GET
/
twitter
/
tweet
/
advanced_search
Search tweets
curl --request GET \
  --url 'https://api.xshot.fun/twitter/tweet/advanced_search?api_key='
{
  "tweets": [
    {
      "id": "2035548674483273831",
      "text": "<string>",
      "created_at": "<string>",
      "author": {
        "id": "<string>",
        "name": "<string>",
        "username": "<string>",
        "profile_image": "<string>",
        "followers_count": 123
      },
      "retweet_count": 123,
      "reply_count": 123,
      "like_count": 123,
      "quote_count": 123,
      "bookmark_count": 123,
      "view_count": 123
    }
  ],
  "next_cursor": "<string>",
  "has_next_page": true
}

Authorizations

api_key
string
query
required

Query Parameters

query
string
required
type
enum<string>
default:Latest
Available options:
Latest,
Top
cursor
string

Response

200 - application/json

Search results

tweets
object[]
next_cursor
string | null
has_next_page
boolean